Subject: Re: bug#62861: [PATCH v1] gnu: ghc-basement: fix build for i686

From: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Thu, 18 May 2023 01:14:32 +0200

On Tue, 16 May 2023 16:13:02 +0200
zimoun <[email-masked]> wrote:

> Hi Denis,
Hi,

> This submission #62861 [1] contains two patches.  Are they part of the
> same series?
Ah my bad. Sorry about that.

I don't remember why they were together in the same serie. Maybe it's a
mistake as I probably intended to add 2 Haskell related patches in
the same serie instead.

> 1: http://issues.guix.gnu.org/issue/62861
> 
> 
> On Sat, 15 Apr 2023 at 15:59, Denis 'GNUtoo' Carikli
> <[email-masked]> wrote:
> > * gnu/packages/haskell-xyz.scm (ghc-basement):
> >   [source]: Add patch.
> > * gnu/packages/patches/ghc-basement-0.0.15-i686-fix.patch: New file.
> > * gnu/local.mk (dist_patch_DATA):
> > ---
> >  gnu/local.mk                                  |   1 +
> >  gnu/packages/haskell-xyz.scm                  |   3 +-
> >  .../ghc-basement-0.0.15-i686-fix.patch        | 113
> > ++++++++++++++++++ 3 files changed, 116 insertions(+), 1 deletion(-)
> >  create mode 100644
> > gnu/packages/patches/ghc-basement-0.0.15-i686-fix.patch
> 
> Well, is this already part of some Haskell updates?
I didn't see that patch or something similar somewhere else but I could
also have missed it. I only looked in the bugreport system. I also
based my patches on top of master.

Does the Haskell team has special rules? Like do I need to rebase my
patches on specific branches in the future? 

If the development is done there, it could be a good idea to formalize
that (if it's not already formalized) as it would help making sure not
to duplicate work, or at least lower the burden on the reviewers as
duplicated work would not be sent for review. Linux does that for
some subsystems.

Denis.